← Tables

Scotland

Caledonia Midlands Region League Division 3

#TeamPWDLPDBPPtsForm
1Aberfeldy Rugby Club4400–420WWWW
2Rosyth Sharks RFC5302–518LWWWL
3Arbroath RFC6204–514WLLWL
4Dunfermline 2nd XV6204–412LLLLW
5Grangemouth Stags 2nd XV4202–311WWLL
6Dundee Uni Medics2200–19WW
7Waid Academy FP RFC3102–23LLW
8Kirkcaldy 2nd XV4103–20LLWL

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.